> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trio.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Webhook

> Create a new webhook



## OpenAPI

````yaml api-reference/banking-api/openapi.json POST /webhooks
openapi: 3.0.0
info:
  title: Banking API
  version: 1.0.0
servers:
  - url: https://api.sandbox.trio.com.br
    variables: {}
  - url: https://api.qa.trio.com.br
    variables: {}
  - url: https://api.trio.com.br
    variables: {}
security: []
tags: []
paths:
  /webhooks:
    post:
      tags:
        - developers
      summary: Create org webhook
      description: Create org webhook
      operationId: TrioFoundationWeb.IAM.OrgWebhookController.create
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Org_webhook_creation_parameters'
        description: Org webhook parameters
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Org_webhook_response'
          description: Created webhook
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JsonErrorResponse'
          description: Unprocessable Entity
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JsonErrorResponse'
          description: Unprocessable Entity
      callbacks: {}
components:
  schemas:
    Org_webhook_creation_parameters:
      description: Org webhook creation parameters for IAM access
      example:
        authentication_method: url_secret
        entity_id: 019f2433-fbf3-096e-a3f7-ffd9ae43d1c8
        event_categories_allowed:
          - category: boleto
            types:
              - settled
              - created
        notification_key: KXe1JxmdHIcRhAsnbaTBvSGNSQli4I798oGMb8abeMBcKzJoUpWkOQ==
        notification_secret: some_notification_secret
        notification_url: https://mynotificationurl.com/endpoint
        oauth_client_id: null
        oauth_client_secret: null
        oauth_scope: ''
        oauth_url: null
      properties:
        authentication_method:
          description: Webhook authentication method
          type: string
        bank_account_id:
          description: Bank Account ID
          format: uuid
          nullable: true
          type: string
        entity_id:
          description: Entity ID
          format: uuid
          nullable: true
          type: string
        event_categories_allowed:
          description: Event categories
          items:
            properties:
              category:
                description: Event category
                type: string
              types:
                description: Event types
                items:
                  type: string
                type: array
            required:
              - category
              - types
            type: object
          nullable: true
          type: array
        notification_key:
          description: Notification Key
          nullable: true
          type: string
        notification_secret:
          description: Notification Secret
          nullable: true
          type: string
        notification_url:
          description: Notification URL
          type: string
        oauth_client_id:
          description: OAuth Client ID
          nullable: true
          type: string
        oauth_client_secret:
          description: OAuth Client Secret
          nullable: true
          type: string
        oauth_scope:
          description: OAuth scope
          nullable: true
          type: string
        oauth_url:
          description: OAuth URL
          nullable: true
          type: string
      required:
        - notification_url
        - authentication_method
      title: Org webhook creation parameters
      type: object
    Org_webhook_response:
      description: A org webhook for communication
      example:
        data:
          authentication_method: url_secret
          company_id: 019f2433-fb00-c23b-da37-2fe6a4f4f5a6
          entity_id: 019f2433-fb00-37f3-5a3c-b516763fa0b5
          event_categories_allowed:
            - category: boleto
              types:
                - settled
                - created
          id: 019f2433-fb00-498e-3527-783b51c21536
          inserted_at: '2026-07-02T19:00:14.208505Z'
          notification_key: KXe1JxmdHIcRhAsnbaTBvSGNSQli4I798oGMb8abeMBcKzJoUpWkOQ==
          notification_secret: some_notification_secret
          notification_url: https://mynotificationurl.com/endpoint
          oauth_client_id: null
          oauth_client_secret: null
          oauth_scope: ''
          oauth_url: null
          org_id: 019f2433-fb00-c2dd-7d0b-395b07e6a93f
          updated_at: '2026-07-02T19:00:14.208514Z'
      properties:
        data:
          $ref: '#/components/schemas/Org_webhook_response'
      title: Org webhook response
      type: object
    JsonErrorResponse:
      properties:
        errors:
          items:
            properties:
              detail:
                example: null value where string expected
                type: string
              source:
                properties:
                  pointer:
                    example: /data/attributes/petName
                    type: string
                required:
                  - pointer
                type: object
              title:
                example: Invalid value
                type: string
            required:
              - title
              - source
              - detail
            type: object
          type: array
      required:
        - errors
      title: JsonErrorResponse
      type: object

````